RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Modules | Files | Functions
Reading/Writing energy parameter sets from/to File
Change and Precalculate Energy Parameter Sets and Boltzmann Factors

Read and Write energy parameter sets from and to text files. More...

Collaboration diagram for Reading/Writing energy parameter sets from/to File:

## Modules

| Converting energy parameter files
| Convert energy parameter files into the latest format.

## Files

file | read_epars.h

## Functions

void | read_parameter_file (const char fname[])
| Read energy parameters from a file.
void | write_parameter_file (const char fname[])
| Write energy parameters to a file.

## Detailed Description

Read and Write energy parameter sets from and to text files.

A default set of parameters, identical to the one described in [9] and [13], is compiled into the library.

## Function Documentation

void read_parameter_file | ( | const char | fname[] | ) |

Read energy parameters from a file.

Parameters:

  fname | The path to the file containing the energy parameters

void write_parameter_file | ( | const char | fname[] | ) |

Write energy parameters to a file.

Parameters:

  fname | A filename (path) for the file where the current energy parameters will be written to